Retrieve Your Contacts List

🚧

Deprecated

This endpoint is deprecated. Use the Contacts API instead.

You can retrieve a specific beneficiary, a set of beneficiaries that complies with a given criterion, or all of your beneficiaries stored in Bitso's system.

To retrieve a set of contacts, make the following HTTP request using the appropriate query parameters.

GET https://api-stage.bitso.com/v3/consumer-contacts

Query Parameters

  • alias: Name that helps users identify the beneficiary.
  • asset: The asset in a network.
  • contact_id: Beneficiary’s unique identifier.
  • currency: Currency used with the beneficiary.
  • integration: A specific integration that enables Bitso to connect to a given network.
  • network: Network through which the withdrawal is processed.
  • protocol: A specific mechanism, protocol, or standard used in a network.

Example

The following request exemplifies a search of all the contacts stored in the user's account for sending ADA:

GET https://api-stage.bitso.com/v3/consumer-contacts?currency=ada

The search retrieves the following result:

{
    "success": true,
    "payload": [
        {
            "contact_id": 828,
            "alias": "Acme",
            "taxonomy": {
                "network": "cardano",
                "asset": "ada",
                "protocol": "ada",
                "integration": "fblocks-v1",
                "currency": "ada"
            },
            "currency": "ada",
            "details": [
                {
                    "name": "newKey",
                    "key": "newKey",
                    "value": "New Value"
                }
            ],
            "created": "2022-08-22T17:48:53Z",
            "compliant": [
                "TRAVEL_RULE"
            ],
            "compliance": {
                "travel_rule": {
                    "vasp": {
                        "did": "did:ethr:0x4cd9136034d9a63d855391fce6dba64021530b01"
                    },
                    "beneficiary": {
                        "name": "Acme Inc",
                        "type": "LEGAL"
                    }
                }
            }
        }
    ]
}

Did this page help you?